"""Agent definitions for the multi-agent sysadmin system."""

from .os_detector import create_os_detector_worker
from .logs_analyzer import create_logs_analyzer_worker
from .performance_analyzer import create_performance_analyzer_worker
from .service_discovery import create_service_discovery_worker

__all__ = [
    "create_os_detector_worker",
    "create_logs_analyzer_worker", 
    "create_performance_analyzer_worker",
    "create_service_discovery_worker"
]
