"""Custom tools package for the LangGraph demo agent."""

from .ssh_tool import SSHTool
from langchain_community.tools.shell.tool import ShellTool

# Pre-configured SSH tool for your server - only connects when actually used
# TODO: Update these connection details for your actual server
configured_remote_server = SSHTool(
    host="157.90.211.119",  # Replace with your server
    port=8081,
    username="g",                # Replace with your username
    key_filename="/Users/ghsioux/.ssh/id_rsa_hetzner",    # Replace with your key path
    ask_human_input=True             # Safety confirmation
)

__all__ = ["SSHTool", "ShellTool", "configured_remote_server"]
